package com.zswl.cloud.springBtach.server.core.service;

import lombok.SneakyThrows;
import org.springframework.batch.core.ExitStatus;
import org.springframework.batch.core.Job;
import org.springframework.batch.core.JobParameters;
import org.springframework.batch.core.JobParametersBuilder;
import org.springframework.batch.core.explore.JobExplorer;
import org.springframework.batch.core.launch.JobLauncher;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class PaymentService {
    @Resource
    private JobLauncher jobLauncher;

    @Resource
    private Job creatOrder;
    @Resource
    private JobExplorer jobExplorer;



    @SneakyThrows
    public void  test(String name){
        JobParameters parameters = new JobParametersBuilder(jobExplorer)
                .getNextJobParameters(creatOrder)
                .addString("name", name)
                .toJobParameters();
         jobLauncher.run(creatOrder, parameters).getExitStatus();
        System.out.println("最后一个被执行");


    }
}
