package com.zswl.cloud.springBtach.server.core.service;

import com.github.microservice.auth.client.content.ResultContent;
import com.zhongshu.payment.client.model.order.CreateOrder2Model;
import com.zswl.cloud.springBatch.cline.service.OrderService;
import com.zswl.cloud.springBtach.server.core.step.CreateOrderStep;
import lombok.SneakyThrows;
import org.springframework.batch.core.Job;
import org.springframework.batch.core.JobParameters;
import org.springframework.batch.core.JobParametersBuilder;
import org.springframework.batch.core.explore.JobExplorer;
import org.springframework.batch.core.launch.JobLauncher;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class OrderServiceImp implements OrderService {

    @Autowired
    private CreateOrderStep createOrderStep;

    @Resource
    private JobLauncher jobLauncher;

    @Resource
    private JobExplorer jobExplorer;

    @Resource
    private Job creatOrder;


    @Override
    @SneakyThrows
    public ResultContent creat(CreateOrder2Model createOrderModel) {
        ThreadLocal<CreateOrder2Model> parameter = createOrderStep.getParameter();
        parameter.set(createOrderModel);
        JobParameters parameters = new JobParametersBuilder(jobExplorer)
                .getNextJobParameters(creatOrder)
                .toJobParameters();
        jobLauncher.run(creatOrder, parameters).getExitStatus();
        return createOrderStep.getResultContent().get();
    }
}
